% Run Handbook_SHIN then franc2D first
core_path = 'D:/0_MASTER/ABAQUS/2D/Cracked/CSV/';
core_name = 'j_2D_chain3';
crack_length2d = [5:1:38];
%crack_length=crack_length_short;
%crack_length=crack_length_long;
%crack_length = [5,12,14]
plotCell = {};
hold on
grid on
E = 210000;
v = 0.29;
S = 100;
d = 0.076;

tempName = core_name;
name = strcat(tempName,'.csv');
path = strcat(core_path,name);


count = 1;
fid = fopen(path); 

while ~feof(fid)
    line = fgets(fid);
    plotData(count,:) = str2num(line);
    count = count + 1;
end

K_2D = sqrt(plotData'.*E./(1-v^2))*sqrt(0.001);
crack_true = crack_length2d/(d.*1000);
normK2D = K_2D./(S.*sqrt(pi.*(crack_true.*d)));

fclose(fid);
clear plotData


% 
% plot(crack_length,K_2D, '--r')
% title('Stress Intensity Factor, 2D','FontSize',14)
% xlabel('Normalized Crack Depth (a/D)')
% ylabel('K_I, [MPa \surd(m)]')
% legend('ABAQUS, 2D','Location','southeast')
% hold on
% franc2D
% plot(franc(:,1)*76,franc(:,2),'b')

% grid on

% %ylabel('(K_I/(\sigma_{ref} (\pia)^{0.5})', 'FontSize',16);
% legend('ABAQUS', 'Franc', 'Shin Handbook','Location','northwest')
% 


% plot(crack_length./76,K_Bot.*(S.*sqrt(pi.*(crack_length/(1000)))),'*k')
% hold on
% plot(franc(:,1),francPlot.*(S.*sqrt(franc(:,1).*pi.*d)), '-b')
% plot(aD,F_T.*(S.*sqrt(pi.*(aD.*d))), '--r')
% title('Stress Intensity Factors','FontSize',14)
% grid on
% xlabel('Normalized Crack Depth (a/D)')
% ylabel('(K_I, [MPa\surd{m}]', 'FontSize',16);
% legend('3D FEM', 'Franc Corrected', 'Shin Handbook','Location','southeast')

