ABAQUS_Stress_Distribution_Data;



d = 1;
%subplot(1,3,1)
plot(twoD_60(:,1)./d,twoD_60(:,2),'b')
hold on
plot(threeD_60(:,1)./d,threeD_60(:,2),'b*')
set(gca,'fontsize',13)
xlabel('Normalized depth [y/d]')
ylabel('Stress, S11 [MPa]')
grid on
%axisMin = -max(twoD_60(:,2));
%axisMax = max(threeD_60(:,2))+10;
%axis([0 1 axisMin axisMax])
%axis([0 76 min(twoD_60(:,2)) max(twoD_60(:,2))])
%legend('2D','3D','Location','southwest')
%title('60MPa')

%subplot(1,3,2)
plot(twoD_80(:,1)./d,twoD_80(:,2),'r',threeD_80(:,1)./d,threeD_80(:,2),'ro')
set(gca,'fontsize',13)
xlabel('Normalized depth [y/d]')
ylabel('Stress, S11 [MPa]')
grid on
%axisMin = -max(twoD_80(:,2));
%axisMax = max(threeD_80(:,2))+10;
%axis([0 1 axisMin axisMax])
%legend('2D','3D','Location','southwest')
%title('80MPa')

%subplot(1,3,3)
plot(twoD_100(:,1)./d,twoD_100(:,2),'--k',threeD_100(:,1)./d,threeD_100(:,2),'ks')
set(gca,'fontsize',13)
xlabel('Normalized depth [y/d]')
ylabel('Stress, S11 [MPa]')
grid on
axisMin = -max(twoD_100(:,2));
axisMax = max(threeD_100(:,2))+10;
axis([0 1 axisMin axisMax])
legend('2D, 60MPa','3D, 60MPa','2D, 80MPa','3D, 80MPa','2D, 100MPa','3D, 100MPa','Location','southwest')
title('Stress Distribution, 2D and 3D')
%axis([0 76 min(twoD_100(:,2)) max(twoD_100(:,2))])




% ABAQUS_Stress_Distribution_Data;
% 
% 
% subplot(2,3,1)
% plot(twoD_60(:,1),twoD_60(:,2))
% set(gca,'fontsize',13)
% xlabel('Depth, [mm]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(twoD_60(:,2)) max(twoD_60(:,2))])
% 
% subplot(2,3,2)
% plot(twoD_80(:,1),twoD_80(:,2))
% set(gca,'fontsize',13)
% xlabel('Depth, [mm]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(twoD_80(:,2)) max(twoD_80(:,2))])
% 
% subplot(2,3,3)
% plot(twoD_100(:,1),twoD_100(:,2))
% set(gca,'fontsize',13)
% xlabel('Depth, [mm]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(twoD_100(:,2)) max(twoD_100(:,2))])
% 
% 
% 
% 
% 
% subplot(2,3,4)
% plot(threeD_60(:,1),threeD_60(:,2))
% set(gca,'fontsize',13)
% xlabel('Depth, [mm]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(threeD_60(:,2)) max(threeD_60(:,2))])
% 
% subplot(2,3,5)
% plot(threeD_80(:,1),threeD_80(:,2))
% set(gca,'fontsize',13)
% xlabel('Depth, [mm]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(threeD_80(:,2)) max(threeD_80(:,2))])
% 
% subplot(2,3,6)
% plot(threeD_100(:,1),threeD_100(:,2))
% set(gca,'fontsize',13)
% xlabel('Depth, [mm]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(threeD_100(:,2)) max(threeD_100(:,2))])