# -*- coding: utf-8 -*-
"""
Created on Sat Apr  9 17:53:19 2016

@author: Martin
"""
from part import *
from material import *
from section import *
from assembly import *
from step import *
from interaction import *
from load import *
from mesh import *
from optimization import *
from job import *
from sketch import *
from visualization import *
from connectorBehavior import *
from abaqusConstants import * 


import subprocess
import os
import shutil

import math
import numpy as np
import regionToolset
import odbAccess as odb



crack_array = np.arange(5,39,1)
jNotchValues = []


crackLength = crack_array
odbSource = 'D:/0_MASTER/ABAQUS/2D/Cracked/ODB/'
saveDest = 'D:/0_MASTER/ABAQUS/2D/Cracked/NPY/'
saveDestcsv = 'D:/0_MASTER/ABAQUS/2D/Cracked/CSV/'
core = odbSource + 'crckLn_2D_'
nrContour = 10





#odb_save_loc = 'C:\SIMULIA\Martin_Models\2D_and_Verification\ODB\2D\Notched'



for j in range (0,len(crackLength)):
    jobName = core+str(crackLength[j])+'.odb'
    odbPath = jobName
    print(odbPath)
    od = odb.openOdb(path=odbPath)
    
    # # # # Get J-INTEGRAL
    myStep = od.steps['General']
    
    jIntLast = myStep.historyRegions['ElementSet . ALL ELEMENTS'].historyOutputs['J at J_INTEGRAL_CRACK__PICKEDSET36_Contour_10'].data[0][1]
    jNotchValues.append(jIntLast)
    #np.append(jValues, jIntLast)
    od.close()

jFinal = np.array(jNotchValues)
np.save(saveDest+'j_2D_chain3',jFinal)

np.savetxt(saveDestcsv+'j_2D_chain3.csv',jFinal,delimiter=',')




#    mat_var_name = core+str(crackLength[j])

    
    
#for i in range(len(notches)):
#    core = file_name + '_' + notches[i]
#    file_npy = core +'.npy'
#    file_mat = core +'.mat'
#    entries = np.load(file_npy)
#    
#    save_var = {core: np.array(entries)}
#    npy_save = os.path.join(odb_save_loc,'npy_files',file_npy)
#    mat_save = os.path.join(odb_save_loc,'npy_files','MAT_files',file_mat)
#    
#    scipy.io.savemat(mat_save,save_var)
#    shutil.move(file_npy,npy_save)