global D
% % % TENSION SIDE
a = 0.6286;
b = 50.41;
c = 0.6743;
d = 0.2074;
T_side = @(x) a.*exp(-b.*(x./D))+c+(x./D).*d;

% % % TENSION BOTTOM
a = 0.5366;
b = 56.9;
c = 0.6656;
d = 0;
T_bot = @(x) a.*exp(-b.*(x./D))+c+(x./D).*d;

% % % TENSION ENC
p1 =      0.0597;
p2 =      0.6574;
T_enc = @(x) p1.*(x/D) + p2;

% % % BENDING SIDE
a = 0.5984;
b = 49.91;
c = 0.6867;
d = -0.7784;
B_side = @(x) a.*exp(-b.*(x./D))+c+(x./D).*d;

% % % BENDING BOT
a = 0.5544;
b = 49.76;
c = 0.5331;
d = 0.1152;
B_bot =  @(x) a.*exp(-b.*(x./D))+c+(x./D).*d;

% % % BENDING ENC
p1 =     -0.6547;
p2 =      0.6352;
B_enc = @(x) p1.*(x/D) + p2;

% % % SUM SIDE
a =       2.261;
b =         262;
c =       3.492;
d =      -33.85;
sum_side = @(x) a.*exp(-b.*(x./D))+c+(x./D).*d;

% % % SUM BOT
a =       2.408;
b =       244.4;
c =       2.894;
d =      -6.042;
sum_bot = @(x) a*exp(-b*(x./D))+c+(x./D)*d;

% % % SUM ENC
p1 =      -2.128;
p2 =        2.83;
sum_enc = @(x) p1.*(x/D) + p2;

% % %  PLATE SIDE
a =      0.6185;%  (0.6088, 0.6282)
b =       26.05;%  (25.44, 26.67)
c =      0.6796;%  (0.6759, 0.6832)
d =    0.009444;%  (0.008696, 0.01019)
e =      0.7955;%  (0.7804, 0.8106)
plate_Side = @(x)a.*exp(-b.*(x./D))+c+d.*exp(e.*(x./D));

% % % PLATE BOT
a =      0.5631;%  (0.5564, 0.5699)
b =       30.45;%  (30.03, 30.87)
c =      0.4801;%  (0.4162, 0.544)
d =      0.1919;%  (0.1271, 0.2566)
e =      0.1861;%  (0.1619, 0.2103)
f =    -0.04371;%  (-0.05205, -0.03538)
plate_Bot = @(x)a.*exp(-b.*(x./D))+c+d.*exp(e.*(x./D))+f.*(x./D);

% % % PLATE ENC
p1 =    0.004567;%  (0.004207, 0.004927)
p2 =   -0.006115;%  (-0.007902, -0.004327)
p3 =      0.6619;%  (0.6599, 0.6639)

plate_Enc =@(x) p1.*(x./D).^2 + p2.*(x./D) + p3;