%clear
clc
clear plotData
core_path = 'D:/0_MASTER/ABAQUS/Notches/SubMod/Notch_B_Bot/CSV/';
core_name = 'Bot_crack_length';
crack_length_B_B = [4:1:10];

plotCell = {};
hold on
grid on
E = 210000;
v = 0.29;
S = 100;
kMax = 0;
kMin = 10000;
K_Bot_B_B = [];
for i = 1:1:length(crack_length_B_B)
    trueCrack = crack_length_B_B(i)/10;
    legendName{i} = strcat(num2str(trueCrack),'mm, max depth');
    tempName = strcat(core_name,num2str(crack_length_B_B(i)));
    name = strcat(tempName,'_sub.csv');
    path = strcat(core_path,name);
    
    
    count = 1;
    fid = fopen(path);
    while ~feof(fid)
        line = fgets(fid);
        plotData(count,:) = str2num(line);
        count = count + 1;
    end
    K = sqrt(plotData(1,:).*E./(1-v^2))*sqrt(0.001);
    ang = -plotData(2,:);
    plotCell{i*2} = ang;
    plotCell{i*2-1} = K;
       
    if min(K)<kMin
        kMin = min(K);
    end
    
    if max(K)>kMax
        kMax = max(K);
    end
    [kMaxVec_Enc(i), index] = max(K);
    angMax_Enc(i) = ang(index);
    normK = K./(S.*sqrt(pi.*trueCrack/1000));
    [ang,sortIndex] = sort(ang);
    sortK = K(sortIndex);
    normK_Bot_B_B = normK(sortIndex);
%     plot(ang/180,normK,'--+');
    fclose(fid);
    clear plotData
    K_Bot_B_B = [K_Bot_B_B,sortK(1)];
end
crack_length_B_B = crack_length_B_B./10;
normK_B = K_Bot_B_B./((S.*sqrt(pi.*crack_length_B_B./1000)));
normCrck = crack_length_B_B./20;
% legend(legendName,'Location','northeastoutside')
% xlabel('Normalized Angle, (2\cdot \alpha)/ \pi')
% ylabel('Normalized K_I (K_\alpha / K_{0})');
% legend(legendName,'Location','northeastoutside')
% xlabel('Crack ang, \alpha, degrees')
% ylabel('K_I [MPa\surd{mm}]');
%axis([0 max(ang)+5 kMin kMax+kMax/25])

% plot(crack_length_B_B/10.0,K_Bot_B_B,'--+r')